Bug 77219 - FILESAVE: File Save : Image property Z-index [behindDoc] not preserved after RT
Summary: FILESAVE: File Save : Image property Z-index [behindDoc] not preserved after RT
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.3.0.0.alpha0+ Master
Hardware: Other Linux (All)
: medium normal
Assignee: Ravindra Vidhate
URL:
Whiteboard: BSA target:4.3.0 target:6.0.0
Keywords:
Depends on:
Blocks:
 
Reported: 2014-04-09 05:50 UTC by Ravindra Vidhate
Modified: 2017-08-20 01:56 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Original File (386.27 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2014-04-09 05:50 UTC, Ravindra Vidhate
Details
RoundTrip file (526.76 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2014-04-15 09:53 UTC, surbhi.tongia
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ravindra Vidhate 2014-04-09 05:50:06 UTC
Created attachment 97105 [details]
Original File

Problem description: 
For the images who has the "Text wrapping" property set as Behind Text is not preserved after saving the file in DOCX format using LO.

Steps to reproduce:
1. Open the attached file in LO
2. Save the file in docx format using LO
3. Open the saved file in MS-Office.

Current behavior:
Currently the image is shown in front the text. The text goes behind the image and so it is not visible.

Expected behavior:
If the image text wrapping property is set to "Behind Text" then after exporting it should have the same property. The text should be visible.
              
Operating System: Ubuntu
Version: 4.3.0.0.alpha0+ Master
Comment 1 surbhi.tongia 2014-04-15 09:50:13 UTC
Verified On LO Build :libo-master~2014-04-14_08.54.29_LibreOfficeDev_4.3.0.0.alpha0_Win_x86.

Operating System :Windows.

The File is not preserving after RT.
The text is going behind the image so not getting Visible.
Comment 2 surbhi.tongia 2014-04-15 09:53:46 UTC
Created attachment 97388 [details]
RoundTrip file
Comment 3 Jorendc 2014-04-15 15:57:41 UTC
(In reply to comment #1)
> Verified On LO Build
> :libo-master~2014-04-14_08.54.29_LibreOfficeDev_4.3.0.0.alpha0_Win_x86.

You can mark it as NEW then :-).

Thanks for confirming the bug is present.

Kind regards,
Joren
Comment 4 Commit Notification 2014-04-17 08:11:22 UTC
Ravindra Vidhate committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2496eaa5c4535b88b44e4ac034aae6af0c08de0e

fdo#77219 Image property Z-index [behindDoc] not preserved after RT



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2017-07-07 09:16:12 UTC
Justin Luth committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a75477101510e7a8e60db03edbf2d253f504d70d

tdf#77219 writerfilter: allow shapes to be in front of text

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.